Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I keep getting a insecure password warning while running the google translate add on, it's suggesting I update firefox but there is not an update available.

  • 1 பதிலளி
  • 1 இந்த பிரச்சனை உள்ளது
  • 5 views
  • Last reply by cor-el

The application works fine in Firefox with the Google Translate add-on disabled. However when it is turned on the sign in screen seems to become not secure. When I log in anyway get an error screen. It works fine when the add on is disabled.


I went to the link suggested in the sign in screen and it seems to imply that the security error could be what is causing the issue.

All Replies (1)

This is likely a problem with the extension that uses a http:// link to access the Google Translate API and not secure https://

The extension would have to be updated to correct this.